Canvas5GraphInternal::ShapeData Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
Canvas5GraphInternal::ShapeData Struct Reference

Internal: the shape data. More...

## Public Member Functions
| ShapeData ()

## Public Attributes
unsigned | m_type
| the shape type More...
MWAWEntry | m_entry
| the shape data entry More...
int | m_local [2]
| the local variable More...
unsigned | m_ids [3]
| the text link, matrix, name id More...
unsigned | m_shapeIds [4]
| the shape ids More...
std::vector< MWAWVec2f > | m_vertices
| the shape vertices: line, ... More...
std::vector< unsigned > | m_children
| the childs: group More...
MWAWVec2i | m_grid
| the grid subdivision More...
int | m_specials [4]
| some special values More...

## Friends
std::ostream & | operator<< (std::ostream &o, ShapeData const &s)
| operator<< More...

## Detailed Description

Internal: the shape data.

## Constructor & Destructor Documentation

## ◆ ShapeData()

Canvas5GraphInternal::ShapeData::ShapeData | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ShapeData const & | s
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_children

std::vector<unsigned> Canvas5GraphInternal::ShapeData::m_children

the childs: group

Referenced by Canvas5Graph::readShapeData().

## ◆ m_entry

MWAWEntry Canvas5GraphInternal::ShapeData::m_entry

the shape data entry

Referenced by Canvas5Graph::readShapeData(), Canvas5Graph::sendCurveText(), Canvas5Graph::sendDimension(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), and Canvas5Graph::sendText().

## ◆ m_grid

MWAWVec2i Canvas5GraphInternal::ShapeData::m_grid

the grid subdivision

Referenced by Canvas5Graph::readSpecialData(), and Canvas5Graph::sendSpecial().

## ◆ m_ids

unsigned Canvas5GraphInternal::ShapeData::m_ids[3]

the text link, matrix, name id

Referenced by Canvas5Graph::readShapeData(), and ShapeData().

## ◆ m_local

int Canvas5GraphInternal::ShapeData::m_local[2]

the local variable

Referenced by Canvas5Graph::readShapeData(), and ShapeData().

## ◆ m_shapeIds

unsigned Canvas5GraphInternal::ShapeData::m_shapeIds[4]

the shape ids

Referenced by Canvas5Graph::readShapeData(), and ShapeData().

## ◆ m_specials

int Canvas5GraphInternal::ShapeData::m_specials[4]

some special values

Referenced by Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), and ShapeData().

## ◆ m_type

unsigned Canvas5GraphInternal::ShapeData::m_type

the shape type

Referenced by Canvas5Graph::readShapeData(), Canvas5Graph::readSpecialData(), and Canvas5Graph::sendSpecial().

## ◆ m_vertices

std::vector<MWAWVec2f> Canvas5GraphInternal::ShapeData::m_vertices

the shape vertices: line, ...

Referenced by Canvas5Graph::readShapeData(), Canvas5Graph::readSpecialData(), and Canvas5Graph::sendSpecial().

The documentation for this struct was generated from the following file:

- Canvas5Graph.cxx